#ifndef SYSTRAY_H
#define SYSTRAY_H

#include <QSystemTrayIcon>
#include <QAction>
#include <QMenu>

class SysTray : public QSystemTrayIcon
{
    Q_OBJECT
public:
    explicit SysTray(QObject *parent = 0);

private:
    QMenu *m_menu;

    /* 功能:创建菜单
     * 参数:[1]token
     * 返回:NULL
     * */
    void _CreatMenu();

private slots:
    /* 功能:处理退出点击动作
     * 参数:NULL
     * 返回:NULL
     * */
    void onActionQuitTriggered();
};

#endif // SYSTRAY_H
